Package org.eclipse.net4j.signal.confirmation

## Class ConfirmationRequest

- java.lang.Object
- - org.eclipse.net4j.signal.Signal
  - - org.eclipse.net4j.signal.SignalActor
    - - org.eclipse.net4j.signal.RequestWithConfirmation<RESULT>
      - - org.eclipse.net4j.signal.RequestWithMonitoring<org.eclipse.net4j.util.confirmation.Confirmation>
        - - org.eclipse.net4j.signal.confirmation.ConfirmationRequest

- All Implemented Interfaces:
    `java.lang.Runnable`

      public class ConfirmationRequest
      extends RequestWithMonitoring<org.eclipse.net4j.util.confirmation.Confirmation>

  Since:
    4.3
  Author:
    Christian W. Damus (CEA LIST)

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.signal.RequestWithMonitoring

      `DEFAULT_CANCELATION_POLL_INTERVAL, DEFAULT_MONITOR_PROGRESS_SECONDS, DEFAULT_MONITOR_TIMEOUT_SECONDS`

    - ### Fields inherited from class org.eclipse.net4j.signal.Signal

      `NO_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConfirmationRequest​(SignalProtocol<?> protocol, short signalID, java.lang.String name, ConfirmationPrompt prompt)` |
    `ConfirmationRequest​(SignalProtocol<?> protocol, short signalID, ConfirmationPrompt prompt)` |
    `ConfirmationRequest​(SignalProtocol<?> protocol, java.lang.Enum<?> literal, ConfirmationPrompt prompt)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.eclipse.net4j.util.confirmation.Confirmation` | `confirming​(org.eclipse.net4j.util.io.ExtendedDataInputStream in, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)` | Important Note: The confirmation must not be empty, i.e.
    `protected void` | `requesting​(org.eclipse.net4j.util.io.ExtendedDataOutputStream out, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)` |

    - ### Methods inherited from class org.eclipse.net4j.signal.RequestWithMonitoring

      `confirming, getCancelationExecutorService, getCancelationPollInterval, getConfirmingWorkPercent, getMonitorProgressSeconds, getMonitorTimeoutSeconds, getRequestingWorkPercent, requesting, send, send, send, send, sendAsync, sendAsync`

    - ### Methods inherited from class org.eclipse.net4j.signal.RequestWithConfirmation

      `getAsyncExecutorService`

    - ### Methods inherited from class org.eclipse.net4j.signal.SignalActor

      `execute`

    - ### Methods inherited from class org.eclipse.net4j.signal.Signal

      `closeChannelAfterMe, closeInputStreamAfterMe, closeOutputStreamAfterMe, finishInputStream, finishOutputStream, flush, getAdditionalInfo, getBufferInputStream, getBufferOutputStream, getCorrelationID, getCurrentInputStream, getCurrentOutputStream, getID, getName, getProtocol, run, toString, toString, wrapInputStream, wrapOutputStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfirmationRequest

          public ConfirmationRequest​(SignalProtocol<?> protocol,
                                     short signalID,
                                     java.lang.String name,
                                     ConfirmationPrompt prompt)

    - #### ConfirmationRequest

          public ConfirmationRequest​(SignalProtocol<?> protocol,
                                     short signalID,
                                     ConfirmationPrompt prompt)

    - #### ConfirmationRequest

          public ConfirmationRequest​(SignalProtocol<?> protocol,
                                     java.lang.Enum<?> literal,
                                     ConfirmationPrompt prompt)

  - ### Method Detail

    - #### requesting

          protected void requesting​(org.eclipse.net4j.util.io.ExtendedDataOutputStream out,
                                    org.eclipse.net4j.util.om.monitor.OMMonitor monitor)
                             throws java.lang.Exception

      Specified by:
        `requesting` in class `RequestWithMonitoring<org.eclipse.net4j.util.confirmation.Confirmation>`
      Throws:
        `java.lang.Exception`

    - #### confirming

          protected org.eclipse.net4j.util.confirmation.Confirmation confirming​(org.eclipse.net4j.util.io.ExtendedDataInputStream in,
                                                                                org.eclipse.net4j.util.om.monitor.OMMonitor monitor)
                                                                         throws java.lang.Exception

      Description copied from class: `RequestWithMonitoring`
      Important Note: The confirmation must not be empty, i.e. the stream must be used at least to read a `boolean`. Otherwise synchronization problems will result!
      Specified by:
        `confirming` in class `RequestWithMonitoring<org.eclipse.net4j.util.confirmation.Confirmation>`
      Throws:
        `java.lang.Exception`